import request from '@/utils/request'

// 查询模型管理列表
export function listManager(query) {
  return request({
    url: '/ai/model/list',
    method: 'get',
    params: query
  })
}

// 查询模型管理详细
export function getManager(id) {
  return request({
    url: '/ai/model/' + id,
    method: 'get'
  })
}

// 新增模型管理
export function addManager(data) {
  return request({
    url: '/ai/model/add',
    method: 'post',
    data: data
  })
}

// 修改模型管理
export function updateManager(data) {
  return request({
    url: '/ai/model/edit',
    method: 'post',
    data: data
  })
}

// 删除模型管理
export function delManager(id) {
  return request({
    url: '/ai/model/delete/' + id,
    method: 'post'
  })
}

export function uploadFile(formData) {
  return request({
    url: '/ai/model/uploadFile',
    method: 'post',
    data: formData,
    timeout: 600000, // 设置超时时间为 10 秒（10000 毫秒）
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}
